WordPress

WordPress x Lightspeed – updated to 5.5.3

As per our best practice, this release has been automatically updated for WordPress x Lightspeed customers. Self-managed customers are strongly encouraged to upgrade to this version. Please be advised that as of today, December 31 2019, the WordPress containers that are Managed by Lightspeed have all been upgraded from version WordPress 5.5.2. to version 5.5.3. We have retired WordPress 5.5.2. series across all customers.


For Self-Managed customers, go to Dashboard → Updates and click Update Now.

Security Updates:

This maintenance release fixes an issue introduced in WordPress 5.5.2 which makes it impossible to install WordPress on a brand new website that does not have an existing database connection configuration. This release does not affect sites where a database connection is already configured, for example, via one-click installers or an existing wp-config.php file.

This release was led by @whyisjake and the following release squad: @audrasjb, Barry, @davidbaumwald@desrosj@hellofromtonya@jeffpaul@johnbillion@garubi@metalandcoffee@mukesh27@otto42 @punitsoftac@sergeybiryukov, and @xknown.